PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Structures
Data Structures
PDL API Reference » TCPWM (Timer Counter PWM) » Shift Register (TCPWM)

## General Description

## Data Structures
struct | cy_stc_tcpwm_shiftreg_config_t
| Shift Register configuration structure. More...

## Data Structure Documentation

## ◆ cy_stc_tcpwm_shiftreg_config_t

struct cy_stc_tcpwm_shiftreg_config_t

Data Fields
uint32_t | clockPrescaler | Sets the clock prescaler inside the TCPWM block.
uint32_t | tapsEnabled | In shift register this sets the enabled taps.
uint32_t | compare0 | Sets the value for Compare 0.
uint32_t | compareBuf0 | Sets the value for the buffered Compare 0.
bool | enableCompare0Swap | If enabled, the compare 0 values are swapped on the terminal count.
uint32_t | compare1 | Sets the value for Compare 1.
uint32_t | compareBuf1 | Sets the value for the buffered Compare 1.
bool | enableCompare1Swap | If enabled, the compare1 values are swapped on the terminal count.
uint32_t | interruptSources | Enables an interrupt on the terminal count, capture or compare.
uint32_t | invertShiftRegOut | Inverts the ShiftReg output.
uint32_t | invertShiftRegOutN | Inverts the ShiftReg compliment output.
uint32_t | reloadInputMode | Configures how the reload input behaves.
uint32_t | reloadInput | Selects which input the reload uses. The inputs are device-specific.
uint32_t | startInputMode | Configures how the start input behaves. See Input Modes.
uint32_t | startInput | Selects which input the start uses. The inputs are device-specific.
uint32_t | killInputMode | Configures how the kill0 input behaves.
uint32_t | killInput | Selects which input the kill0 uses. The inputs are device-specific.
uint32_t | shiftInputMode | Configures how the shift input behaves.
uint32_t | shiftInput | Selects which input the shift uses. The inputs are device-specific.
uint32_t | serialInputMode | Configures how the serial input behaves.
uint32_t | serialInput | Selects which input the serial uses. Inputs are device-specific.
uint32_t | shiftRegOnDisable | Specifies the behavior of the ShiftReg outputs line_out and line_compl_out while the Shift Register is disabled.
uint32_t | trigger0Event | Configures which internal event generates on output trigger 0.
uint32_t | trigger1Event | Configures which internal event generates on output trigger 1.
bool | buffer_swap_enable | Configures swapping mechanism between CC0 and buffered CC0, CC1 and buffered CC1, PERIOD and buffered PERIOD, DT and buffered DT